package com.qunzhixinxi.hnqz.admin.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * {@code MemberType}
 * <p>
 * 人员类型与行业
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2022/02/19 22:01
 */
@Getter
@AllArgsConstructor
public enum MemberType {

    PROFESSIONAL_AND_TECHNICAL_PERSONNEL("2", "专业技术人员", IndustryType.NOT_STATEMENT_PROFESSIONAL_DESIGN_SERVICE),
    IT_RESEARCH_AND_DEVELOPMENT_PERSONNEL("3", "IT研发人员", IndustryType.APPLICATION_SOFTWARE_DEVELOPMENT),
    PROFESSIONAL_DESIGNER("4", "专业设计人员", IndustryType.PROFESSIONAL_DESIGN_SERVICE),
    NEW_MEDIA_PRODUCER("5", "新媒体制作人", IndustryType.ARTISTIC_CREATION_AND_PERFORMANCE),
    EXHIBITION_SERVICE_STAFF("6", "会展服务人员", IndustryType.CULTURAL_EXHIBITION_SERVICE),
    ONLINE_ANCHOR("7", "网络主播", IndustryType.ARTISTIC_CREATION_AND_PERFORMANCE),
    CONTENT_CREATOR("8", "内容创作者", IndustryType.ARTISTIC_CREATION_AND_PERFORMANCE),
    ONLINE_LECTURER("9", "网课讲师", IndustryType.SOCIO_ECONOMIC_CONSULTATION),
    TRAVEL_SERVICE_PERSONNEL("10", "旅游地接人员", IndustryType.TRAVEL_AGENCY_AND_RELATED_SERVICE),
    HOME_SERVICE_WORKER("11", "家庭服务人员", IndustryType.HOME_SERVICE),
    HEALTH_CONSULTANT("12", "健康咨询师", IndustryType.HEALTH_ADVICE),
    MARKETING_AND_PROMOTION_PERSONNEL("16", "营销推广人员", IndustryType.BUSINESS_AGENT_SERVICE),
    EXTERNAL_ONLINE_LECTURER("17", "网课讲师(对外)", IndustryType.NOT_STATEMENT_EDUCATION),
    YAOYI_EXCLUSIVE_PERSONNEL("20", "要易专属人员", null);

    private final String code;

    private final String message;

    private final IndustryType industryType;
}